digiKam - photo management (Xenial & newer)

PPA description

Latest digiKam 7.10.0 release (& needed dependencies) for Xenial & newer.

*** Please always see https://launchpad.net/~savoury1 for general updates about this Launchpad site before contacting me or reporting any bugs! ***

*** Big thanks to all those who have donated to support this project, you are very directly helping to keep it alive! To all who have not donated: please do so if you can afford it, this project depends on donations. ***

If software at this site is useful to you then please consider a donation:

*** Donations: https://paypal.me/Savoury1 & https://ko-fi.com/Savoury1 ***
*** Also https://patreon.com/Savoury1 & https://liberapay.com/Savoury1 ***

Builds of digiKam >= 7.5.0 now with Libraw 0.20 support (better Canon CR3 metadata support plus better support for numerous additional RAW formats).

==========================================================================
                  digiKam - fresh build (Xenial & newer)
==========================================================================

armadillo (10.8.2), arpack (3.8.0), c-blosc (1.21.1), cfitsio (4.0.0), charls (2.4.2), digikam (7.10.0), exiv2 (0.27.6), freeglut (3.4.0), freeimage (3.18.0), freexl (1.0.6), gdal (3.4.1), gdcm (3.0.14), geos (3.10.2), graphicsmagick (libwebp7 rebuilds), hwloc (2.10.0), ilmbase (3.1.10 = imath), imagemagick (libwebp7 rebuilds), jasper (4.2.4), json-c (0.17), lensfun (0.3.3), lerc (4.0.0), libde265 (1.0.15), libdeflate (1.20), libevent (2.1.12-stable), libgeotiff (1.7.0), libgphoto2 (2.5.31), libheif (1.17.6), libimage-exiftool-perl (12.40), libjsoncpp (1.9.5), libwebp (1.4.0), libzstd (1.5.5), netcdf (4.8.1), ogdi-dfsg (4.1.0), onetbb (2021.9.0), opencv (4.5.4 Jammy / 4.2.0 Imath builds), openexr (3.2.4), openjpeg2 (2.5.0), openmpi (4.1.4), pmix (4.1.2), poppler (22.02.0), poppler-data (0.4.11), proj (8.2.1), protobuf (3.12.4), qhull (2020.2), qtav (1.13.0 libswresample builds), snappy (1.1.10), spatialite (5.0.1), superlu (5.3.0), tbb (2020.3), tiff (4.6.1~git240130), ucx (1.13.0), vtk6 (6.3.0), x265 (3.5), zlib (1.3.1)

Focal only: libdbi-perl (1.20 = libdeflate / renamed source for i386)

Xenial & Bionic: json-c4 (renamed json-c 0.13.1), libdap, libidn2, libpng1.6, libpsl, librttopo (1.1.0), xerces-c (3.2.2)

Bionic only: libmediawiki (5.37.0 & ppa:savoury1/kde-xenial for Xenial)

Xenial only: curl, hdf5 (1.10.0), libfabric (1.5.3), nghttp2, qhull (2015.2)

==========================================================================

*** Install ***

NOTE FOR ALL: A successful installation now requires FFmpeg >= 4.4 for all series so one additional PPA is required. Do these steps for installation:

  sudo add-apt-repository ppa:savoury1/ffmpeg4
  sudo add-apt-repository ppa:savoury1/digikam
  sudo apt-get update
  sudo apt-get install digikam

Note for Xenial: Qt >= 5.9 is required (and a newer KDE to match the newer Qt stack is best) plus newer APT/GPG is also needed for various backports of the Qt and KDE stacks. So these four additional PPAs must be added to install digiKam from this PPA. Do the following steps for Xenial systems:

  sudo add-apt-repository ppa:savoury1/apt-xenial
  sudo add-apt-repository ppa:savoury1/gpg
  sudo add-apt-repository ppa:savoury1/qt-xenial
  sudo add-apt-repository ppa:savoury1/kde-xenial
  sudo apt-get update
  sudo apt-get upgrade && sudo apt-get dist-upgrade

Update (4 Sep 2020): Xenial and Bionic users who installed digiKam prior to this date may have issues upgrading to new builds with OpenCV 4.2.0 due a complex chain of dependencies (involving OpenCV, GDAL, and OGDI). For a successful upgrade this command should work on Xenial & Bionic systems:

  sudo apt-get install digikam gdal-data libogdi4.1

This will result in the removal of libgdal20 (incompatible with libgdal26) plus various libopencv-*3.2 packages (due to libopencv-imgcodecs3.2 being dependent on libgdal20). If other software on your system requires these packages (libgdal20 and libopencv-*3.2) you will not be able to install digiKam from this PPA without removing such software. If you experience such an issue please let me know what software is preventing the upgrade.

*** Build ***

This PPA has build dependencies on:

  ppa:savoury1/build-tools
  ppa:savoury1/backports
  ppa:savoury1/graphics
  ppa:savoury1/multimedia
  ppa:savoury1/ffmpeg4
  ppa:savoury1/gpg

Additionally, for Xenial only:

  ppa:savoury1/gcc-defaults-7
  ppa:savoury1/qt-xenial
  ppa:savoury1/kde-xenial

*** Credits ***

- Creators of digiKam: the digiKam team
  https://www.digikam.org/about/

- Package code: Debian KDE Extras Team
  https://tracker.debian.org/pkg/digikam

Adding this PPA to your system

You can update your system with unsupported packages from this untrusted PPA by adding ppa:savoury1/digikam to your system's Software Sources. (Read about installing)

sudo add-apt-repository ppa:savoury1/digikam
sudo apt update
        
Technical details about this PPA

This PPA can be added to your system manually by copying the lines below and adding them to your system's software sources.

Display sources.list entries for:
deb https://ppa.launchpadcontent.net/savoury1/digikam/ubuntu YOUR_UBUNTU_VERSION_HERE main 
deb-src https://ppa.launchpadcontent.net/savoury1/digikam/ubuntu YOUR_UBUNTU_VERSION_HERE main 
Signing key:
4096R/E996735927E427A733BB653E374C7797FB006459 (What is this?)
Fingerprint:
E996735927E427A733BB653E374C7797FB006459

Dependencies:

For questions and bugs with software in this PPA please contact Rob Savoury.

PPA statistics

Activity
17 updates added during the past month.
View package details

Overview of published packages

175 of 213 results
Package Version Uploaded by
armadillo 1:10.8.2+dfsg-1~20.04.sav0 Rob Savoury ()
armadillo 1:10.8.2+dfsg-1~18.04.sav0 Rob Savoury ()
armadillo 1:10.8.2+dfsg-1~16.04.sav0 Rob Savoury ()
arpack 3.8.0-1~20.04.sav0 Rob Savoury ()
arpack 3.8.0-1~18.04.sav0 Rob Savoury ()
arpack 3.8.0-1~16.04.sav0 Rob Savoury ()
c-blosc 1.21.1+ds2-2~20.04.sav0 Rob Savoury ()
c-blosc 1.21.1+ds2-2~18.04.sav0 Rob Savoury ()
c-blosc 1.21.1+ds2-2~16.04.sav0 Rob Savoury ()
cfitsio 4.0.0-1~20.04.sav0 Rob Savoury ()
cfitsio 4.0.0-1~18.04.sav0 Rob Savoury ()
cfitsio 4.0.0-1~16.04.sav0 Rob Savoury ()
charls 2.4.2-2~22.04.sav0 Rob Savoury ()
charls 2.4.2-2~20.04.sav0 Rob Savoury ()
charls 2.4.2-2~18.04.sav0 Rob Savoury ()
charls 2.4.2-2~16.04.sav0 Rob Savoury ()
curl 7.88.1-11+18.04.sav4 Rob Savoury ()
curl 7.88.1-11+16.04.sav4 Rob Savoury ()
digikam 4:7.10.0-0ubuntu1~22.04.sav0 Rob Savoury ()
digikam 4:7.10.0-0ubuntu1~20.04.sav0 Rob Savoury ()
digikam 4:7.10.0-0ubuntu1~18.04.sav0 Rob Savoury ()
digikam 4:7.10.0-0ubuntu1~16.04.sav0 Rob Savoury ()
exiv2 0.27.6-1~22.04.sav0 Rob Savoury ()
exiv2 0.27.6-1~20.04.sav0 Rob Savoury ()
exiv2 0.27.6-1~18.04.sav0 Rob Savoury ()
exiv2 0.27.6-1~16.04.sav0 Rob Savoury ()
freeglut 3.4.0-1~22.04.sav0 Rob Savoury ()
freeglut 3.4.0-1~20.04.sav0 Rob Savoury ()
freeglut 3.4.0-1~18.04.sav0 Rob Savoury ()
freeglut 3.4.0-1~16.04.sav0 Rob Savoury ()
freeimage 3.18.0+ds2-10~22.04.sav0 Rob Savoury ()
freeimage 3.18.0+ds2-10~20.04.sav0 Rob Savoury ()
freeimage 3.18.0+ds2-10~18.04.sav0 Rob Savoury ()
freeimage 3.18.0+ds2-10~16.04.sav0 Rob Savoury ()
freexl 1.0.6-1~20.04.sav0 Rob Savoury ()
freexl 1.0.6-1~18.04.sav0 Rob Savoury ()
freexl 1.0.6-1~16.04.sav0 Rob Savoury ()
gdal 3.4.1+dfsg-1build2~20.04.sav0 Rob Savoury ()
gdal 3.4.1+dfsg-1build2~18.04.sav0 Rob Savoury ()
gdal 3.4.1+dfsg-1build2~16.04.sav0 Rob Savoury ()
gdcm 3.0.14-1~22.04.sav0 Rob Savoury ()
gdcm 3.0.14-1~20.04.sav0 Rob Savoury ()
gdcm 3.0.14-1~18.04.sav0 Rob Savoury ()
gdcm 3.0.14-1~16.04.sav0 Rob Savoury ()
geos 3.10.2-1~20.04.sav0 Rob Savoury ()
geos 3.10.2-1~18.04.sav0 Rob Savoury ()
geos 3.10.2-1~16.04.sav0 Rob Savoury ()
graphicsmagick 1.4+really1.3.35-1+20.04.sav0 Rob Savoury ()
graphicsmagick 1.3.28-2ubuntu0.2+18.04.sav0 Rob Savoury ()
graphicsmagick 1.3.28-2ubuntu0.2+16.04.sav0 Rob Savoury ()
hdf5 1.10.0-patch1+docs-4ubuntu0.1~esm2+18.04.sav0 Rob Savoury ()
hdf5 1.10.0-patch1+docs-4ubuntu0.1~esm2+16.04.sav0 Rob Savoury ()
hwloc 2.10.0-1~22.04.sav0 Rob Savoury ()
hwloc 2.10.0-1~20.04.sav0 Rob Savoury ()
hwloc 2.10.0-1~18.04.sav0 Rob Savoury ()
hwloc 2.10.0-1~16.04.sav0 Rob Savoury ()
ilmbase 3.1.10-0ubuntu1~22.04.sav0 Rob Savoury ()
ilmbase 3.1.10-0ubuntu1~20.04.sav0 Rob Savoury ()
ilmbase 3.1.10-0ubuntu1~18.04.sav0 Rob Savoury ()
ilmbase 3.1.10-0ubuntu1~16.04.sav0 Rob Savoury ()
imagemagick 8:6.9.10.23+dfsg-2.1ubuntu11.9+20.04.sav0.1 Rob Savoury ()
imagemagick 8:6.9.7.4+dfsg-16ubuntu6.15+esm3+18.04.sav0 Rob Savoury ()
imagemagick 8:6.9.7.4+dfsg-16ubuntu6.15+esm3+16.04.sav0 Rob Savoury ()
jasper 4.2.4-0ubuntu1~22.04.sav0 Rob Savoury ()
jasper 4.2.4-0ubuntu1~20.04.sav0 Rob Savoury ()
jasper 4.2.4-0ubuntu1~18.04.sav0 Rob Savoury ()
jasper 4.2.4-0ubuntu1~16.04.sav0 Rob Savoury ()
json-c 0.17-1~22.04.sav0 Rob Savoury ()
json-c 0.17-1~20.04.sav0 Rob Savoury ()
json-c 0.17-1~18.04.sav0 Rob Savoury ()
json-c 0.17-1~16.04.sav0 Rob Savoury ()
json-c4 0.13.1+dfsg-7ubuntu0.3~18.04.sav0 Rob Savoury ()
json-c4 0.13.1+dfsg-7ubuntu0.3~16.04.sav0 Rob Savoury ()
lensfun 0.3.4-1~22.04.sav0 Rob Savoury ()
lensfun 0.3.4-1~20.04.sav0 Rob Savoury ()
175 of 213 results

Latest updates

  • libdbi-perl 13 days ago
    Successfully built
  • libdeflate 13 days ago
    Successfully built
  • libdeflate 13 days ago
    Successfully built
  • libdeflate 13 days ago
    Successfully built
  • libdeflate 13 days ago
    Successfully built